"use strict";
exports.__esModule = true;
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var antd_1 = require("antd");
var styled_1 = tslib_1.__importDefault(require("@emotion/styled"));
var styled_breakpoints_1 = require("styled-breakpoints");
var ButtonWrapper = styled_1["default"].div(templateObject_1 || (templateObject_1 = tslib_1.__makeTemplateObject(["\n  line-height: 38px;\n  .ant-btn {\n    font-family: var(--font-title);\n    &:not(.ant-btn-link, .ant-btn-text) {\n      display: flex;\n      justify-content: center;\n      align-items: center;\n      background-color: transparent;\n      border: 1px solid var(--gray);\n      color: var(--gray);\n      &.bg-white {\n        background: #fff;\n      }\n      &:hover:not(:disabled) {\n        ", " {\n          background-color: var(--gray);\n          color: #fff;\n        }\n        ", "\n        img {\n          filter: invert(1);\n        }\n      }\n      &:hover:disabled {\n        background-color: #eeeeee;\n      }\n      &.ant-btn-primary {\n        background-color: var(--gray);\n        color: #fff;\n        border: 1px solid transparent;\n        &:hover {\n          ", " {\n            background-color: transparent;\n            border: 1px solid var(--gray);\n            color: var(--gray);\n          }\n        }\n        &:disabled {\n          opacity: 0.6;\n        }\n      }\n    }\n    &.ant-btn-link {\n      color: rgb(41, 99, 126);\n      &:hover {\n        color: #3c90b8;\n      }\n      > span:hover {\n        text-decoration: underline;\n      }\n      &[disabled] {\n        color: rgba(0, 0, 0, 0.25);\n        border-color: transparent;\n        background: transparent;\n        text-shadow: none;\n        box-shadow: none;\n      }\n    }\n  }\n  &.ant-btn-borderless {\n    .ant-btn {\n      border: 0px;\n    }\n  }\n  .height-full {\n    height: 100%;\n  }\n"], ["\n  line-height: 38px;\n  .ant-btn {\n    font-family: var(--font-title);\n    &:not(.ant-btn-link, .ant-btn-text) {\n      display: flex;\n      justify-content: center;\n      align-items: center;\n      background-color: transparent;\n      border: 1px solid var(--gray);\n      color: var(--gray);\n      &.bg-white {\n        background: #fff;\n      }\n      &:hover:not(:disabled) {\n        ", " {\n          background-color: var(--gray);\n          color: #fff;\n        }\n        ", "\n        img {\n          filter: invert(1);\n        }\n      }\n      &:hover:disabled {\n        background-color: #eeeeee;\n      }\n      &.ant-btn-primary {\n        background-color: var(--gray);\n        color: #fff;\n        border: 1px solid transparent;\n        &:hover {\n          ", " {\n            background-color: transparent;\n            border: 1px solid var(--gray);\n            color: var(--gray);\n          }\n        }\n        &:disabled {\n          opacity: 0.6;\n        }\n      }\n    }\n    &.ant-btn-link {\n      color: rgb(41, 99, 126);\n      &:hover {\n        color: #3c90b8;\n      }\n      > span:hover {\n        text-decoration: underline;\n      }\n      &[disabled] {\n        color: rgba(0, 0, 0, 0.25);\n        border-color: transparent;\n        background: transparent;\n        text-shadow: none;\n        box-shadow: none;\n      }\n    }\n  }\n  &.ant-btn-borderless {\n    .ant-btn {\n      border: 0px;\n    }\n  }\n  .height-full {\n    height: 100%;\n  }\n"])), (0, styled_breakpoints_1.up)('lg'), function (_a) {
    var forceHoverEffect = _a.forceHoverEffect;
    return "\n          ".concat(forceHoverEffect ? "\n            background-color: var(--gray);\n            color: #fff;\n          " : '', "        \n        ");
}, (0, styled_breakpoints_1.up)('md'));
var Button = function (_a) {
    var containerClass = _a.containerClass, containerStyle = _a.containerStyle, borderless = _a.borderless, forceHoverEffect = _a.forceHoverEffect, buttonProps = tslib_1.__rest(_a, ["containerClass", "containerStyle", "borderless", "forceHoverEffect"]);
    return (react_1["default"].createElement(ButtonWrapper, { className: "".concat(containerClass || '', " ").concat(borderless ? 'ant-btn-borderless' : ''), style: containerStyle, forceHoverEffect: forceHoverEffect },
        react_1["default"].createElement(antd_1.Button, tslib_1.__assign({}, buttonProps))));
};
exports["default"] = Button;
var templateObject_1;
//# sourceMappingURL=Button.js.map